package br.ufrn.imd.authenticator.controller;

import br.ufrn.imd.authenticator.domain.Client;
import br.ufrn.imd.authenticator.service.AuthenticatorService;
import br.ufrn.imd.authenticator.utils.message.CredentialsMessage;
import lombok.RequiredArgsConstructor;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.*;

import javax.security.auth.message.AuthException;

@RequiredArgsConstructor
@RestController
@RequestMapping("/banking/login")
public class AuthenticatorController {
    private final AuthenticatorService service;

    @PostMapping
    public Client authenticate(@RequestBody CredentialsMessage credentials) {
        return service.authenticate(credentials.getNumber(), credentials.getPassword());
    }
}
